Bug 199442 - security/strongswan: fix smp_plugin_create() returned NULL error
Summary: security/strongswan: fix smp_plugin_create() returned NULL error
Status: Closed FIXED
Alias: None
Product: Ports & Packages
Classification: Unclassified
Component: Individual Port(s) (show other bugs)
Version: Latest
Hardware: Any Any
: --- Affects Only Me
Assignee: Mark Felder
URL:
Keywords:
Depends on:
Blocks:
 
Reported: 2015-04-14 09:04 UTC by Franco Fichtner
Modified: 2015-04-16 13:00 UTC (History)
3 users (show)

See Also:
strongswan: maintainer-feedback+


Attachments
smp fix + revision bump (1.35 KB, patch)
2015-04-14 09:04 UTC, Franco Fichtner
no flags Details | Diff
poudriere build log (85.90 KB, application/x-gzip)
2015-04-15 07:35 UTC, Franco Fichtner
no flags Details
regenerated patch file (1.53 KB, patch)
2015-04-15 07:36 UTC, Franco Fichtner
no flags Details | Diff
regenerated patch file 2 (714 bytes, patch)
2015-04-15 07:37 UTC, Franco Fichtner
no flags Details | Diff
regenerated patch file 3 (891 bytes, patch)
2015-04-15 07:37 UTC, Franco Fichtner
no flags Details | Diff
svn diff for security/strongswan (5.49 KB, patch)
2015-04-15 07:58 UTC, Bernard Spil
no flags Details | Diff
svn diff for security/strongswan (8.49 KB, patch)
2015-04-15 08:08 UTC, Bernard Spil
no flags Details | Diff
svn diff for security/strongswan (5.06 KB, patch)
2015-04-15 08:14 UTC, Bernard Spil
no flags Details | Diff
svn diff for security/strongswan (6.47 KB, patch)
2015-04-15 08:55 UTC, Bernard Spil
no flags Details | Diff
poudriere build log (85.90 KB, application/x-gzip)
2015-04-15 09:05 UTC, Franco Fichtner
no flags Details
svn diff for security/strongswan (8.49 KB, patch)
2015-04-15 12:24 UTC, Bernard Spil
no flags Details | Diff

Note You need to log in before you can comment on or make changes to this bug.
Description Franco Fichtner 2015-04-14 09:04:10 UTC
Created attachment 155587 [details]
smp fix + revision bump

via https://github.com/opnsense/ports/issues/8

Possible upstream candidate although the fix is not portable (due to strlcpy).
Comment 1 strongswan 2015-04-15 05:04:08 UTC
I'm happy.  Will pass the info about the issue on upstream as well.
Comment 2 Franco Fichtner 2015-04-15 07:35:26 UTC
Created attachment 155604 [details]
poudriere build log
Comment 3 Franco Fichtner 2015-04-15 07:36:52 UTC
Created attachment 155605 [details]
regenerated patch file
Comment 4 Franco Fichtner 2015-04-15 07:37:13 UTC
Created attachment 155606 [details]
regenerated patch file 2
Comment 5 Franco Fichtner 2015-04-15 07:37:33 UTC
Created attachment 155607 [details]
regenerated patch file 3
Comment 6 Franco Fichtner 2015-04-15 07:38:41 UTC
Updated all patches using "makepatch" since portlint complained. `portlint -a' is now silent.  Regenerated files attached.  Also added compressed poudriere build log.
Comment 7 Bernard Spil freebsd_committer 2015-04-15 07:58:42 UTC
Created attachment 155609 [details]
svn diff for security/strongswan

Merged all 4 patch-files into a single svn diff
Comment 8 Bernard Spil freebsd_committer 2015-04-15 08:08:48 UTC
Created attachment 155611 [details]
svn diff for security/strongswan

The 2 deletes for the rename were missing...  Next try
Comment 9 Bernard Spil freebsd_committer 2015-04-15 08:14:36 UTC
Created attachment 155612 [details]
svn diff for security/strongswan
Comment 10 Bernard Spil freebsd_committer 2015-04-15 08:55:01 UTC
Created attachment 155614 [details]
svn diff for security/strongswan

Now including the smp patch.
Comment 11 Franco Fichtner 2015-04-15 09:05:54 UTC
Created attachment 155617 [details]
poudriere build log

refreshing build log to obsolete files
Comment 12 Bernard Spil freebsd_committer 2015-04-15 12:24:17 UTC
Created attachment 155623 [details]
svn diff for security/strongswan

Should now all be there. Renaming and additions.
Comment 13 Franco Fichtner 2015-04-15 12:29:38 UTC
Looking good, thanks Bernard :)
Comment 14 Mark Felder freebsd_committer 2015-04-15 16:43:34 UTC
I'll take it
Comment 15 commit-hook freebsd_committer 2015-04-16 12:56:39 UTC
A commit references this bug:

Author: feld
Date: Thu Apr 16 12:55:40 UTC 2015
New revision: 384108
URL: https://svnweb.freebsd.org/changeset/ports/384108

Log:
  Add patches to fix Strongswan Management Protocol

  SMP is an XML control interface for Strongswan used by pfSense and
  Opnsense. SMP has been deprecated by upstream since 5.2.0 in favor of a
  newer IPC mechanism called VICI. As a result upstream is not motivated
  to take patches for SMP, and this uses non-portable strlcpy anyway.

  The code has not been deleted from the project and if we can bludgeon it
  into a working state I see no harm.

  PR:		199442

Changes:
  head/security/strongswan/Makefile
  head/security/strongswan/files/patch-conf_Makefile.in
  head/security/strongswan/files/patch-conf__Makefile.in
  head/security/strongswan/files/patch-src__starter__Makefile.in
  head/security/strongswan/files/patch-src_libcharon_plugins_smp_smp.c
  head/security/strongswan/files/patch-src_starter_Makefile.in
Comment 16 Mark Felder freebsd_committer 2015-04-16 13:00:19 UTC
Committed, thanks!